# Ecosystem Lookup

{% hint style="success" %}
Summary

The Lendsqr ecosystem provides a large data of borrowers within the Lendsqr ecosystem, granting you an overall view of customers behavious across our vast lenders.&#x20;
{% endhint %}

The Lendsqr ecosystem provides an aggregated view of borrowers which lenders could have access to make decisions. To access this service, the lender must provide an evidence of customer explicit consent.

Furthermore, where it is proven that a consent was never provided, the lender would be liable for all legal cost required to ameliorate issues that may arise. Lender may also be removed from the platform.

This endpoint is used to verify if a borrower exists on the Lendsqr ecosystem.

It is required that you have the customer's BVN as this is required in checking the Lendsqr ecosystem.

```bash
curl --location 'https://adjutor.lendsqr.com/v2/verification/ecosystem/22153475955'
```

```json
{
  "status": "success",
  "message": "Successful",
  "data": {
    "bvn": "22536011111",
    "first_name": "JANE",
    "last_name": "DOE",
    "bvn_phone_number": "07062561111",
    "date_of_birth": "1997-09-10T00:00:00.000Z",
    "age": 25,
    "unique_phone_numbers": 0,
    "phone_number": "07062561111",
    "unique_emails": 0,
    "email": "janedoe@gmail.com",
    "gender": "Female",
    "lenders": 1,
    "first_account": "2020-11-16T10:49:57.000Z",
    "last_account": "2023-06-26T07:56:37.000Z",
    "failed_selfie_bvn_check": 0,
    "lending_lenders": 0,
    "loans": 0,
    "loan_amount": 0,
    "loan_amount_minimum": 0,
    "loan_amount_maximum": 150000,
    "loan_amount_average": 5892.954545,
    "settled_loans": 0,
    "settled_loan_amount": 0,
    "settled_loan_amount_paid": 0,
    "running_loans": 0,
    "running_loan_amount": 0,
    "past_due_loans": 0,
    "past_due_loan_amount": 0,
    "past_due_loan_amount_due": 2000,
    "penalty": 0,
    "penalty_paid": 0,
    "delayed_paid_loans": 0,
    "delayed_paid_loan_amount": 0,
    "delayed_paid_loans_trials": 0,
    "delayed_paid_loans_avg": 0,
    "delayed_paid_loans_trials_max": 0,
    "delayed_paid_loans_trials_min": 0,
    "first_loan_date": "2020-12-24T07:54:37.000Z",
    "last_loan_date": "2023-07-20T11:38:02.000Z",
    "loan_requests": 0,
    "failed_loan_requests": 0,
    "logins": 115,
    "first_login": "2023-06-01T12:32:27.000Z",
    "last_login": "2023-08-08T08:23:49.000Z",
    "unique_login_ips": 0,
    "unique_device_ids": 0,
    "distinct_mobile_os": 0,
    "duplicated_devices": 0,
    "shared_device_users": 0,
    "credit_delinquency": 0,
    "processed_on": "2023-08-08T14:02:33.000Z"
  },
  "meta": {
    "cost": 25,
    "balance": 1590
  }
}
```

Each component of the response body explains the customer's records within our customer. With all of this information, you can set up configurations specific to your business and decide on the criteria for proceeding with a customer or not.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adjutor.io/adjutor-api-endpoints/validation/ecosystem-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
